Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.icl.saxon
Class IdentityTransformerHandler

    java.lang.Object
      |
      +--com.icl.saxon.ContentEmitter
            |
            +--com.icl.saxon.IdentityTransformerHandler

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.ext.LexicalHandler, javax.xml.transform.sax.TransformerHandler

public class IdentityTransformerHandler
extends ContentEmitter
implements javax.xml.transform.sax.TransformerHandler

IdentityTransformerHandler implements the javax.xml.transform.sax.TransformerHandler interface. It acts as a ContentHandler and LexicalHandler which receives a stream of SAX events representing an input document, and performs an identity transformation passing these events to a Result

Constructor Summary
`protected` | `IdentityTransformerHandler(Controller controller)` Create a IdentityTransformerHandler and initialise variables.

Method Summary
`void` | `endDocument()` Override the behaviour of endDocument() in ContentEmitter
`javax.xml.transform.Result` | `getResult()` Get the output destination of the transformation
`java.lang.String` | `getSystemId()` Get the systemId of the document
`javax.xml.transform.Transformer` | `getTransformer()` Get the Transformer used for this transformation
`void` | `setResult(javax.xml.transform.Result result)` Set the output destination of the transformation
`void` | `setSystemId(java.lang.String url)` Set the SystemId of the document
`void` | `startDocument()` Override the behaviour of startDocument() in ContentEmitter

Methods inherited from class com.icl.saxon.ContentEmitter
`characters, comment, endCDATA, endDTD, endElement, endEntity, endPrefixMapping, ignorableWhitespace, notationDecl, processingInstruction, setDocumentLocator, setEmitter, setNamePool, skippedEntity, startCDATA, startDTD, startElement, startEntity, startPrefixMapping, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startElement, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Methods inherited from interface org.xml.sax.DTDHandler
`notationDecl, unparsedEntityDecl`

Constructor Detail

### IdentityTransformerHandler

    protected IdentityTransformerHandler(Controller controller)

  Create a IdentityTransformerHandler and initialise variables. The constructor is protected, because the Filter should be created using newTransformerHandler() in the SAXTransformerFactory class

Method Detail

### getTransformer

    public javax.xml.transform.Transformer getTransformer()

  Get the Transformer used for this transformation
  Specified by:
    `getTransformer` in interface `javax.xml.transform.sax.TransformerHandler`

### setSystemId

    public void setSystemId(java.lang.String url)

  Set the SystemId of the document
  Specified by:
    `setSystemId` in interface `javax.xml.transform.sax.TransformerHandler`

### getSystemId

    public java.lang.String getSystemId()

  Get the systemId of the document
  Specified by:
    `getSystemId` in interface `javax.xml.transform.sax.TransformerHandler`

### setResult

    public void setResult(javax.xml.transform.Result result)

  Set the output destination of the transformation
  Specified by:
    `setResult` in interface `javax.xml.transform.sax.TransformerHandler`

### getResult

    public javax.xml.transform.Result getResult()

  Get the output destination of the transformation

### startDocument

    public void startDocument()
                       throws org.xml.sax.SAXException

  Override the behaviour of startDocument() in ContentEmitter
  Specified by:
    `startDocument` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startDocument` in class `ContentEmitter`

### endDocument

    public void endDocument()
                     throws org.xml.sax.SAXException

  Override the behaviour of endDocument() in ContentEmitter
  Specified by:
    `endDocument` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endDocument` in class `ContentEmitter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD